:root {
  --background-base: #f0f0f3;
  --background-base-alt: #ffffff;
  --primary-low: #a2b1ff;
  --primary-high: #4340fc;
}

.dark {
  --background-base: #101419;
  --background-base-alt: #1f2328;
  --primary-low: #63b3ee;
  --primary-high: #0c86df;
}

.flutter-loader {
  display: none;
}

body {
  background: var(--background-base-alt);
}

body.loading {
  background: var(--background-base);
}

.loader {
  z-index: 1;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: var(--background-base);

  opacity: 100%;
  transition: opacity 0.5s;
}

.loader.hidden {
  opacity: 0;
  pointer-events: none;
}

.loader.hidden .loader-content {
  transform: translateY(-50px);
}

.loader-content {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 32px;
  transform: translateY(0);
  transition: transform 0.5s;
}

.logo {
  width: 65px;
  height: 65px;
}

.loader.hidden .progress-bar-container {
  visibility: hidden;
}

.progress-bar-container {
  width: 90px;
}

.progress-bar {
  height: 4px;
  background-color: var(--primary-low);
  width: 100%;
  overflow: hidden;
  border-radius: 4px;
}

.progress-bar-value {
  width: 100%;
  height: 100%;
  background-color: var(--primary-high);
  animation: indeterminateAnimation 1s infinite linear;
  transform-origin: 0% 50%;
  border-radius: 4px;
}

@keyframes indeterminateAnimation {
  0% {
    transform: translateX(0) scaleX(0);
  }
  40% {
    transform: translateX(0) scaleX(0.3);
  }
  70% {
    transform: translateX(0) scaleX(0.6);
  }
  100% {
    transform: translateX(100%) scaleX(0.6);
  }
}
